Server Actions
devis
7 Server Actions du domaine devis, générées depuis le registre de l’API agent.
devis__browseStockForQuote
| Argument | Type | Requis |
|---|---|---|
locationId | string | oui |
filters | z.input<typeof filtersSchema> | oui |
withFacets | boolean | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "devis__browseStockForQuote",
"args": [
"<locationId>",
"<filters>",
"<withFacets>"
]
}'devis__convertQuote
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
pickupAt | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "devis__convertQuote",
"args": [
"<id>",
"<pickupAt>"
]
}'devis__createQuote
| Argument | Type | Requis |
|---|---|---|
input | CreateQuoteInput | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "devis__createQuote",
"args": [
"<input>"
]
}'devis__remindQuoteCustomer
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
rawMessage | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "devis__remindQuoteCustomer",
"args": [
"<id>",
"<rawMessage>"
]
}'devis__searchCustomersForQuote
| Argument | Type | Requis |
|---|---|---|
query | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "devis__searchCustomersForQuote",
"args": [
"<query>"
]
}'devis__sendQuoteToCustomer
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
rawMessage | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "devis__sendQuoteToCustomer",
"args": [
"<id>",
"<rawMessage>"
]
}'devis__setQuoteStatus
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
status | QuoteStatusAction | oui |
reason | string | non |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "devis__setQuoteStatus",
"args": [
"<id>",
"<status>"
]
}'